> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.usescout.sh/llms.txt.
> For full documentation content, see https://docs.usescout.sh/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.usescout.sh/_mcp/server.

# List monitor events

GET https://core.usescout.sh/v1/monitors/{monitor_id}/events

Reference: https://docs.usescout.sh/api-reference/scout/monitors/monitor-events-v-1-monitors-monitor-id-events-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Scout
  version: 1.0.0
paths:
  /v1/monitors/{monitor_id}/events:
    get:
      operationId: monitor-events-v-1-monitors-monitor-id-events-get
      summary: List monitor events
      tags:
        - subpackage_monitors
      parameters:
        - name: monitor_id
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
        - name: cursor
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: Authorization
          in: header
          description: Your API key, sent as a Bearer token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorEventsPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
servers:
  - url: https://core.usescout.sh
components:
  schemas:
    MonitorEvent:
      type: object
      properties:
        id:
          type: string
          description: Event identifier.
        monitor_id:
          type: string
          description: The monitor that produced it.
        event_group_id:
          type: string
        summary:
          type: string
          description: Human-readable summary.
        event_date:
          type: string
          description: ISO-8601 timestamp the event fired.
        source_urls:
          type: array
          items:
            type: string
          description: URLs of the relevant results.
        results:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
          description: The result objects from this run.
        status:
          type: string
          default: ok
          description: ok | changed | matched | skipped | errored.
        diff:
          type:
            - object
            - 'null'
          additionalProperties:
            description: Any type
          description: Optional added/removed link sets vs the prior run.
        webhook_attempts:
          type: integer
          default: 0
        webhook_status:
          type:
            - integer
            - 'null'
        webhook_last_error:
          type:
            - string
            - 'null'
        mode:
          type:
            - string
            - 'null'
        matched:
          type:
            - boolean
            - 'null'
        error:
          type:
            - string
            - 'null'
      required:
        - id
        - monitor_id
        - event_group_id
        - summary
        - event_date
      title: MonitorEvent
    MonitorEventsPage:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/MonitorEvent'
        total:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
        next_cursor:
          type:
            - string
            - 'null'
      required:
        - items
        - total
        - limit
        - offset
      title: MonitorEventsPage
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationErrorCtx:
      type: object
      properties: {}
      title: ValidationErrorCtx
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          $ref: '#/components/schemas/ValidationErrorCtx'
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Your API key, sent as a Bearer token.

```

## SDK Code Examples

```python Monitors_monitor_events_v1_monitors__monitor_id__events_get_example
import requests

url = "https://core.usescout.sh/v1/monitors/monitor_id/events"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript Monitors_monitor_events_v1_monitors__monitor_id__events_get_example
const url = 'https://core.usescout.sh/v1/monitors/monitor_id/events';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Monitors_monitor_events_v1_monitors__monitor_id__events_get_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://core.usescout.sh/v1/monitors/monitor_id/events"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Monitors_monitor_events_v1_monitors__monitor_id__events_get_example
require 'uri'
require 'net/http'

url = URI("https://core.usescout.sh/v1/monitors/monitor_id/events")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Monitors_monitor_events_v1_monitors__monitor_id__events_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://core.usescout.sh/v1/monitors/monitor_id/events")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Monitors_monitor_events_v1_monitors__monitor_id__events_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://core.usescout.sh/v1/monitors/monitor_id/events', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Monitors_monitor_events_v1_monitors__monitor_id__events_get_example
using RestSharp;

var client = new RestClient("https://core.usescout.sh/v1/monitors/monitor_id/events");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Monitors_monitor_events_v1_monitors__monitor_id__events_get_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://core.usescout.sh/v1/monitors/monitor_id/events")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```